<script lang="ts">
  import PageHeader from '$lib/components/layout/PageHeader.svelte';
  import { twitchPosts, mtpPosts, ctfPosts, qcsPosts } from '$lib/components/pages/about/media.js';
  import MediaSection from '$lib/components/pages/about/MediaSection.svelte';
  import { faHandshake, faPersonCircleQuestion } from '@fortawesome/free-solid-svg-icons';
  import { faFlag } from '@fortawesome/free-regular-svg-icons';
  import { faTwitch } from '@fortawesome/free-brands-svg-icons';
  import { isAuthenticated } from '$stores/authStore.js';
  import { getRegistrationUrl } from '$lib/constants/urls';
  import { page } from '$app/stores';
</script>

<PageHeader title="Media" />

<section class="w-full bg-cyber-blue-900 text-center p-6">
  <h1 class="text-secondary text-3xl font-bold uppercase">
    The collegiate competition for <em>first-time competitors!</em>
  </h1>
  <p class="text-xl leading-9 text-white font-normal pt-3">
    Welcome to the home of the National Centers of Academic Excellence in Cybersecurity (NCAE-C) national competition!
    NCAE Cyber Games is dedicated to inspiring college students to enter the exciting (and sometimes profitable!) realm
    of cyber competitions. Cyber competitions are a valuable addition to any college student’s resume, but they can be
    intimidating for first-timers. NCAE Cyber Games is creating a new style of collegiate cybersecurity competition,
    <b>one for college students who have never competed before</b> where they can learn about cyber competitions in an environment
    focused on teamwork, building confidence, and growing your skills! If you’ve ever wondered how hackathons and cyber competitions
    work and wanted to try it out for yourself, you’re in the right place!
  </p>
  <p class="text-xl leading-9 text-white font-normal pt-3">
    This content on this page is intended to aid your success in the NCAE Cyber Games. Feeling ready to compete?
    <span class="font-bold">Registration is now open!</span> Register a team by
    {#if !$isAuthenticated}
      <a href={getRegistrationUrl($page.url.origin)}>creating an account</a>, then by
    {/if}
    heading over to the <a href="/user-dashboard#team-management">Team Management</a> tab of your account page to create
    a team or the <a href="/user-dashboard#discover">Discover Tab</a> to find existing teams from your instruction.
  </p>
</section>

<div class="flex flex-col">
  <MediaSection icon={faFlag} posts={ctfPosts}>
    <div slot="title">Cracking CTF's</div>
    <div slot="description">
      <p>Deep-dives into Capture the Flag challenges with James Rice, Mike Lisi, and other special guests.</p>

      <p class="pt-2">
        Enjoying these? You can also catch them <b>live</b> on
        <a target="_blank" href="https://www.twitch.tv/ncaecybergames">Twitch TV</a>. Be sure to follow us to be
        notified when we go live!
      </p>
    </div>
  </MediaSection>

  <MediaSection icon={faHandshake} posts={mtpPosts} invert>
    <div slot="title">Meet the Players</div>
    <div slot="description">Meet some of the NCAE Cyber Games players in an interview series featuring James Rice.</div>
  </MediaSection>

  <MediaSection icon={faPersonCircleQuestion} posts={qcsPosts}>
    <div slot="title">Questionable Cyber Strategies</div>
    <div slot="description">
      Watch some funny and memorable moments as NCAE Cyber Games Players employ some Questionable Cyber Strategies!
    </div>
  </MediaSection>

  <MediaSection icon={faTwitch} posts={twitchPosts} invert cols={3}>
    <div slot="title">Twitch Live Streams</div>
    <div slot="description">
      NCAE Cyber Games has regular live streams on <a target="_blank" href="https://www.twitch.tv/ncaecybergames"
        >Twitch TV</a> - be sure to follow so you don't miss any of the action!
    </div>
  </MediaSection>
</div>
